Bug 839247 - samba4-dc should require samba4-python
samba4-dc should require samba4-python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba4 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 07:20 EDT by Alexey Torkhov
Modified: 2012-07-23 16:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 16:21:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Torkhov 2012-07-11 07:20:10 EDT
Description of problem:
samba4-dc should require samba4-python, otherwise samba-tool is not functional.

Version-Release number of selected component (if applicable):
samba4-dc-4.0.0-57alpha18.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Install samba4
2. Run samba-tool

Actual results:
# samba-tool
Traceback (most recent call last):
  File "/bin/samba-tool", line 26, in <module>
    from samba.netcmd.main import cmd_sambatool
ImportError: No module named samba.netcmd.main


Expected results:
No error.

Additional info:
There was an expired bug #500689 that has similar (but not only this one) problem.
Comment 1 Alexander Bokovoy 2012-07-11 08:11:33 EDT
samba4-dc is not functional, please read README.dc. I can expand text there to explain why samba-tool will not work in current samba4-dc configuration.
Comment 2 Alexey Torkhov 2012-07-12 10:17:45 EDT
It had samba-tool util in F-17 which is version in bug. Anyway, it doesn't prevents to add this Require under %{with_dc} condition even in Rawhide.
Comment 3 Fedora Update System 2012-07-12 12:11:20 EDT
samba4-4.0.0-58alpha18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba4-4.0.0-58alpha18.fc17
Comment 4 Fedora Update System 2012-07-14 17:48:36 EDT
Package samba4-4.0.0-58alpha18.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba4-4.0.0-58alpha18.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10606/samba4-4.0.0-58alpha18.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-23 16:21:21 EDT
samba4-4.0.0-58alpha18.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.